
Foreman - Bug #25039

No Audit entries found if you selected the Organization filter.

09/26/2018 04:10 AM - Chun-Liang Lin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have used the Organization in Foreman and we just upgraded the Foreman to 1.18.2.

If I selected the Organization filter to "Any Organization", I can view all of the hosts and view the Host audit entries by click the Audits

button.

If I selected the Organization filter to any specific Organization, I can view all of the hosts but can't view the Host audit entries by click

the Audits button.

https://foreman/hosts/server_name/audits shows "No entries found"

Related issues:

Related to Foreman - Bug #24232: Non admin user is unable to see the audits f... Closed

History

#1 - 10/03/2018 07:48 AM - Chun-Liang Lin

- Related to Bug #24232: Non admin user is unable to see the audits for katello and taxable resources created by admin using Any Location context

added

#2 - 10/03/2018 07:50 AM - Chun-Liang Lin

The issue is the same with https://projects.theforeman.org/issues/24232. I can fix this bug with the solution.

#3 - 10/03/2018 07:54 AM - Marek Hulán

This will only work properly in 1.20, audits now inherit taxonomies from resources that are also taxable (e.g. by organization) and audits page reflects

that. The change is too big to backport to 1.18/1.19. The workaround should be to look at the page under admin user in any context, that should

always give you all audits.

Can we close this as dup of #24232?

#4 - 10/03/2018 08:00 AM - Chun-Liang Lin

My workaround is to remove the with_taxonomy_scope in app/controllers/audits_controller.rb now.

Yes. we can close it. Thanks.

#5 - 10/03/2018 08:32 AM - Marek Hulán

- Status changed from New to Duplicate

yeah that would help, thanks, closing
